Subject: Re: Trying to implement secondary loopback

From: [email-masked] (Eric W. Biederman)
Date: Wed, 13 Mar 2013 13:46:07 -0700

"Martitz, Thomas" <[email-masked]> writes:

>>
>> ________________________________________
>> Von: richard -rw- weinberger [[email-masked]]
>> Gesendet: Mittwoch, 13. März 2013 12:13
>> An: Martitz, Thomas
>> Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
>> Betreff: Re: Trying to implement secondary loopback
>>
>> >
>> > So my questions are:
>> > * Is this on purpose/expected?
>> > * Is there anyway around it so that I can have a custom loopback interface
>> > without touching lo's functionality.
>> > * Generally, what's the proper way (if any) implement a secondary loopback
>> > interface?
>>
>> The only really question that matters is, why do you need a second
>> loopback interface?
>> Why can't you use any other pseudo interface?
>>
>
> What pseudo interface do you mean? I'm not aware of alternative pseudo interfaces.
>
> I'm developing a NIC and a driver for it. Thus I'm implementing the interface. I'm trying to implement an interface that does exactly do what loopback does except that I want to extend the loopback path to PCIe. This is for testing & validation purposes.
>
> I tried to implement an interface that's doesn't advertise as
> such. But the data transfer didn't go through my code. My test app is
> a simple client/server setup in a single process that sends/receive
> data to/on 127.0.0.1.

The easy solution is to setup two network namespaces and two nics.
And transmit data from one network namespace to another, through your
nics.

Eric